Remove Address Groups

Removes the specified address groups.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

DELETE /api/sonar/address-groups
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -X DELETE \
     https://HOSTNAME/api/sonar/address-groups?guids=4dc14f3d-ebf8-4032-8a7a-ef9ec6cd3dd2
Request Parameters
KeyRequiredTypeDescriptionNote
guidsYesStringAddress group GUIDComma-separated list

Success Response

{
  "failures": []
}
  • failures (Array of objects): Address groups that could not be deleted. An empty array when every group is deleted.
    • id (String): GUID of the address group that failed to be deleted
    • reason (String): Reason for the failure. address group not found: <guid> when the address group does not exist, or referenced-by-object when another object references it.
Some address groups failed to be deleted

HTTP status code 200

{
  "failures": [
    {
      "id": "55e6d809-96c8-4d7a-9e20-98e2b34b6cec",
      "reason": "referenced-by-object"
    }
  ]
}

Error Responses

guids is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guids should be not null"
}
Identifier is not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guids should be guid type."
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}